Extending Qt Creator Manual | BuildInfoStore

Extending Qt Creator Manual 4.7.1

# BuildInfoStore Class

(ProjectExplorer::Internal::TargetSetupWidget::BuildInfoStore)

- List of all members, including inherited members

## Public Functions

| BuildInfoStore()
| BuildInfoStore(const BuildInfoStore &other)
| BuildInfoStore(BuildInfoStore &&other)
| ~BuildInfoStore()
BuildInfoStore & | operator=(const BuildInfoStore &other)
BuildInfoStore & | operator=(BuildInfoStore &&other)

## Member Function Documentation

### BuildInfoStore::BuildInfoStore()

Default constructs an instance of BuildInfoStore.

### BuildInfoStore::BuildInfoStore(const BuildInfoStore &other)

Default constructs an instance of BuildInfoStore.

### BuildInfoStore::BuildInfoStore(BuildInfoStore &&other)

Default constructs an instance of BuildInfoStore.

### BuildInfoStore::~BuildInfoStore()

Destroys the instance of BuildInfoStore.

### BuildInfoStore &BuildInfoStore::operator=(const BuildInfoStore &other)

Copy-assignment operator.

### BuildInfoStore &BuildInfoStore::operator=(BuildInfoStore &&other)

Move-assignment operator.